Nous utilisons des cookies pour vous garantir la meilleure expérience sur notre site. Si vous continuez à utiliser ce dernier, nous considèrerons que vous acceptez l'utilisation des cookies. J'ai compris ! ou En savoir plus !.
Nom d'utilisateur    Mot de passe              Toujours pas inscrit ?   Mot de passe oublié ?

Annonce



#AGAURAGEO

1ère Biennale de l'Information Géographique
Lyon - 17 décembre 2019

http://agaurageo.fr/

#1 Mon 17 December 2018 16:06

sylvainSIG
Membre
Date d'inscription: 29 Nov 2018
Messages: 92

QGIS 2.18.17: QtWebKit

Bonjour,

J'ai le problème suivant depuis aujourd'hui avec les plugins "Qgis2Web" et "OpenLayers".

Je travaille sous Ubuntu 18.04, j'ai réinstallé le système, mais toujours rien, ce sont les plugins qui semblent corrompus.

J'ai un message du genre "cannot import name QtWebKit". Comment cela se fait que ça marchait la semaine dernière et plus maintenant ?
J'ai la toute dernière version de qGis 2.18.17  "Las Palmas"

J'ai beau chercher sur les forums, il semble que personne n'ait encore trouvé la solution.

Avez vous déjà eu la même expérience et si oui, comment avez vous résolu le problème ?

Merci d'avance, Sylvain Becquaert

Hors ligne

 

#2 Mon 17 December 2018 16:10

conejo
Membre
Lieu: Lunel
Date d'inscription: 2 Dec 2005
Messages: 669

Re: QGIS 2.18.17: QtWebKit

Bonjour,

Essayez avec le plugin QuickMapServices

Hors ligne

 

#3 Mon 17 December 2018 16:32

sylvainSIG
Membre
Date d'inscription: 29 Nov 2018
Messages: 92

Re: QGIS 2.18.17: QtWebKit

Mais QuickMapServices ne permet pas, semble-t-il de partager des cartes sur le web hmm

Hors ligne

 

#4 Mon 17 December 2018 16:38

conejo
Membre
Lieu: Lunel
Date d'inscription: 2 Dec 2005
Messages: 669

Re: QGIS 2.18.17: QtWebKit

vous voulez dire des fonds de cartes? Si c'est cela, cela marche très bien.

Hors ligne

 

#5 Mon 17 December 2018 16:42

sylvainSIG
Membre
Date d'inscription: 29 Nov 2018
Messages: 92

Re: QGIS 2.18.17: QtWebKit

J'aimerais partager les cartes sur le web comme qgis2web le faisait il y a encore peu de temps. Il est corrompu, sans doute une erreur dans le code.... Pour avoir des cartes, j'utilise QOSM, ca marche bien aussi

Hors ligne

 

#6 Mon 17 December 2018 21:17

sylvainSIG
Membre
Date d'inscription: 29 Nov 2018
Messages: 92

Re: QGIS 2.18.17: QtWebKit

Je n'ai pas trouvé de solution à ce problème. Cependant, on peut facilement contourner le problème en utilisant qgis2leaf, qui est obsolète certes, mais qui a le mérite de fonctionner....

Pour télécharger les extensions obsolètes ; Extension >  Installer/Gérer les extensions > Paramètres > cocher "afficher également les modules obsolètes.

Sylvain

Hors ligne

 

Pied de page des forums

Powered by FluxBB

Partagez  |